Apache C++ Standard Library Reference Guide

## uninitialized_fill()

Library: General utilities

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A function that initializes elements within a memory range to a specified value

### Synopsis

    #include <memory>

    namespace std {
      template <class ForwardIterator, class T>
      void
      uninitialized_fill(ForwardIterator start,
                         ForwardIterator finish, const T& x);
    }

### Description

The algorithm `uninitialized_fill()` initializes all of the items in the range `[start, finish)` to the value `x`, using placement new.

### See Also

`uninitialized_fill_n()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.4.4.2